import { RdDItemSheet } from "../item-sheet.js";

export class RdDServiceItemSheet extends RdDItemSheet {

  static get ITEM_TYPE() { return "service" };

  async getData() {
    const formData = await super.getData();
    formData.disabled = formData.options.isGM || formData.options.isOwned ? '' : 'disabled';
    return formData;
  }

  activateListeners(html) {
    super.activateListeners(html);
  }
}
